function createLog(method, message, meta = {}) {
    const payload = {
        time: new Date().toISOString(),
        method,
        message,
        ...meta,
    }
    return JSON.stringify(payload)
}

function info(message, meta) {
    console.log(createLog('INFO', message, meta))
}

function warn(message, meta) {
    console.warn(createLog('WARN', message, meta))
}

function error(message, meta) {
    console.error(createLog('ERROR', message, meta))
}

module.exports = {
    info,
    warn,
    error,
}
